Subject: [martini] [email-masked]; [email-masked]; [email-masked]; [email-masked]

From: David Hancock <[email-masked]>
Date: Tue, 31 Jan 2012 00:07:38 -0700

Another GIN question...

Section 10.3 of RFC 3261 says that the 200OK response to a REGISTER request MUST return all current bindings in the Contact header field.

Here's the text...

     8.  The registrar returns a 200 (OK) response.  The response MUST

         contain Contact header field values enumerating all current

         bindings.  Each Contact value MUST feature an "expires"

         parameter indicating its expiration interval chosen by the

         registrar.  The response SHOULD include a Date header field.

What does this mean for GIN registration? Does it mean that the registrar should return the full list of contact addresses that were bound to the implicitly registered AORs? Or, should it return only the contact address that was specified in the REGISTER Contact header field? I think the later behavior is correct.

For example, say a SIP-PBX registers to 2 different contact addresses. First, the SIP-PBX identified in the To: header field of [1] registers to the Contact address identified in [1]. Response [2] contains the single registered contact address, even though the multiple implicitly registered AORs were bound to multiple contacts. Then, the same PBX registers to a 2nd contact address in [3]. Response [4] now shows two contact addresses; one for each of the currently registered bindings for the SIP-PBX.

 SIP-PBX                              SP-SSE

 ---------                               --------

 PBX registers 1st time...

 [1] --REGISTER-->

        To: sip:[email-masked]

        Contact: <sip:10.10.10.1;bnc>

 [2] <--200OK --

          To: sip:[email-masked]

          Contact: <sip:10.10.10.10;bnc>

 PBX registers 2nd time to a different contact address...

 [3] --REGISTER-->

        To: sip:[email-masked]

        Contact: <sip:192.168.2.1;bnc>

 [4] <--200OK --

          To: sip:[email-masked]

          Contact: <sip:192.168.2.1;bnc>, <sip:10.10.10.10;bnc>

Would appreciate your input on a) is the above example correct, and b) do we need an errata to RFC6140 to clarify this case?

Thanks
David

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 31 Jan 2012 09:17:42 -0500

On 1/31/12 2:07 AM, David Hancock wrote:
> Another GIN question...
> Section 10.3 of RFC 3261 says that the 200OK response to a REGISTER
> request MUST return all current bindings in the Contact header field.
> Here's the text...
>
> 8. The registrar returns a 200 (OK) response.The response MUST
>
> bindings.Each Contact value MUST feature an "expires"
>
> registrar.The response SHOULD include a Date header field.
>
> What does this mean for GIN registration? Does it mean that the
> registrar should return the full list of contact addresses that were
> bound to the implicitly registered AORs? Or, should it return only the
> contact address that was specified in the REGISTER Contact header field?
> I think the later behavior is correct.

I agree, for at least two reasons:

- the list of implicitly registered AORs can be arbitrarily large,
   and so infeasible to return

- based on our prior discussion, its necessary to have the actual
   registered contacts in order to deregister them. This is one way
   to get them.

> For example, say a SIP-PBX registers to 2 different contact addresses.
> First, the SIP-PBX identified in the To: header field of [1] registers
> to the Contact address identified in [1]. Response [2] contains the
> single registered contact address, even though the multiple implicitly
> registered AORs were bound to multiple contacts. Then, the same PBX
> registers to a 2nd contact address in [3]. Response [4] now shows two
> contact addresses; one for each of the currently registered bindings for
> the SIP-PBX.
>
> SIP-PBXSP-SSE
>
> -----------------
>
> Would appreciate your input on a) is the above example correct, and b)
> do we need an errata to RFC6140 to clarify this case?

I'd like to hear what others have to say before deciding this.

	Thanks,
	Paul

> Thanks
> David
>
>
> _______________________________________________
> martini mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/martini

---

From: Adam Roach <[email-masked]>
Date: Tue, 31 Jan 2012 12:47:05 -0600

On 1/31/12 08:17, Jan 31, Paul Kyzivat wrote:
>> Does it mean that the

Paul is correct.

> I'd like to hear what others have to say before deciding this.

Yes, the example is correct. I haven't looked at the GIN RFC closely 
enough to determine whether an erratum is warranted.

/a